      subroutine chghed(revdat,icomp)                                   CHGH001
c ----------------------------------------------------------------------CHGH002
c     cranks out a header box page for INFEFF                           CHGH003
c ----------------------------------------------------------------------CHGH004
c     This program module is part of the PhysiSoft X-ray Library        CHGH005
c     and may not be sold or reproduced for commercial purposes.        CHGH006
c     Although it has been tested carefully, there is no warranty       CHGH007
c     regarding accuracy or freedom from side-effects.                  CHGH008
c                   (C) 1986-1990 Bernhard Rupp                         CHGH009
c ----------------------------------------------------------------------CHGH010
      parameter (ipr=6)                                                 CHGH011
                                                                        CHGH012
      character lv,revdat*8,icomp*4                                     CHGH013
                                                                        CHGH014
      if (icomp.eq.'IBM ') then                                         CHGH015
         lv=char(179)                                                   CHGH016
      else                                                              CHGH017
         lv='|'                                                         CHGH018
      end if                                                            CHGH019
                                                                        CHGH020
      call frames (ipr,1,icomp)                                         CHGH021
      write(ipr,'(1x,a1,25x,a,25x,a1)')lv,'P R O G R A M   C H G P R P',CHGH022
     &     lv                                                           CHGH023
      call frames (ipr,2,icomp)                                         CHGH024
      write(ipr,'(1x,a1,3x,a,a,3x,a1)')lv,'Creates input file for prog',CHGH025
     & 'ram CHARGE calculating local charge symmetry',lv                CHGH026
      write(ipr,'(1x,a1,11x,a,a,12x,a1)')lv,'from structural output de',CHGH027
     & 'coded by SEXIE   (C) 1988-94 ',lv                               CHGH028
      write(ipr,'(1x,a1,35x,a,35x,a1)')lv,                              CHGH029
     &  'B. Rupp',lv                                                    CHGH030
      write(ipr,'(1x,a1,20x,a,a,a,21x,a1)')                             CHGH031
     & lv,icomp,' Version 5.0 , Revision ',revdat,lv                    CHGH032
      call frames (ipr,2,icomp)                                         CHGH033
      write(ipr,'(1x,a1,27x,a,28x,a1)')                                 CHGH034
     &  lv,' Batch Input Routine  ',lv                                  CHGH035
      call frames (ipr,3,icomp)                                         CHGH036
      return                                                            CHGH037
      end                                                               CHGH038
